org.gradle.jvm

## Interface JvmComponentSpec

- All Superinterfaces:
    ComponentSpec, ModelElement, Named
  All Known Subinterfaces:
    JUnitTestSuiteSpec, JvmLibrarySpec, JvmTestSuiteSpec

      @Incubating
      public interface JvmComponentSpec
      extends ComponentSpec

  Definition of a software component that is to be built by Gradle to run a on JVM platform.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`